Index: trunk/BNC/qwt/qwt_graphic.h
===================================================================
--- trunk/BNC/qwt/qwt_graphic.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_graphic.h	(revision 9383)
@@ -37,19 +37,19 @@
     - QSvgRenderer/QSvgGenerator\n
       Unfortunately QSvgRenderer hides to much information about
-      its nodes in internal APIs, that are necessary for proper 
-      layout calculations. Also it is derived from QObject and 
+      its nodes in internal APIs, that are necessary for proper
+      layout calculations. Also it is derived from QObject and
       can't be copied like QImage/QPixmap.
 
     QwtGraphic maps all scalable drawing primitives to a QPainterPath
-    and stores them together with the painter state changes 
-    ( pen, brush, transformation ... ) in a list of QwtPaintCommands. 
-    For being a complete QPaintDevice it also stores pixmaps or images, 
-    what is somehow against the idea of the class, because these objects 
+    and stores them together with the painter state changes
+    ( pen, brush, transformation ... ) in a list of QwtPaintCommands.
+    For being a complete QPaintDevice it also stores pixmaps or images,
+    what is somehow against the idea of the class, because these objects
     can't be scaled without a loss in quality.
 
     The main issue about scaling a QwtGraphic object are the pens used for
-    drawing the outlines of the painter paths. While non cosmetic pens 
-    ( QPen::isCosmetic() ) are scaled with the same ratio as the path, 
-    cosmetic pens have a fixed width. A graphic might have paths with 
+    drawing the outlines of the painter paths. While non cosmetic pens
+    ( QPen::isCosmetic() ) are scaled with the same ratio as the path,
+    cosmetic pens have a fixed width. A graphic might have paths with
     different pens - cosmetic and non-cosmetic.
 
@@ -58,5 +58,5 @@
     - control point rectangle\n
       The control point rectangle is the bounding rectangle of all
-      control point rectangles of the painter paths, or the target 
+      control point rectangles of the painter paths, or the target
       rectangle of the pixmaps/images.
 
@@ -65,7 +65,7 @@
       what is needed for rendering the outline with an unscaled pen.
 
-    Because the offset for drawing the outline depends on the shape 
-    of the painter path ( the peak of a triangle is different than the flat side ) 
-    scaling with a fixed aspect ratio always needs to be calculated from the 
+    Because the offset for drawing the outline depends on the shape
+    of the painter path ( the peak of a triangle is different than the flat side )
+    scaling with a fixed aspect ratio always needs to be calculated from the
     control point rectangle.
 
@@ -75,5 +75,5 @@
 {
 public:
-    /*! 
+    /*!
         Hint how to render a graphic
         \sa setRenderHint(), testRenderHint()
@@ -82,5 +82,5 @@
     {
         /*!
-           When rendering a QwtGraphic a specific scaling between 
+           When rendering a QwtGraphic a specific scaling between
            the controlPointRect() and the coordinates of the target rectangle
            is set up internally in render().
@@ -96,5 +96,5 @@
     };
 
-    /*! 
+    /*!
         \brief Render hints
 
@@ -117,8 +117,8 @@
     void render( QPainter * ) const;
 
-    void render( QPainter *, const QSizeF &, 
+    void render( QPainter *, const QSizeF &,
             Qt::AspectRatioMode = Qt::IgnoreAspectRatio  ) const;
 
-    void render( QPainter *, const QRectF &, 
+    void render( QPainter *, const QRectF &,
             Qt::AspectRatioMode = Qt::IgnoreAspectRatio  ) const;
 
@@ -126,10 +126,10 @@
         Qt::Alignment = Qt::AlignTop | Qt::AlignLeft ) const;
 
-    QPixmap toPixmap() const; 
-    QPixmap toPixmap( const QSize &, 
+    QPixmap toPixmap() const;
+    QPixmap toPixmap( const QSize &,
         Qt::AspectRatioMode = Qt::IgnoreAspectRatio  ) const;
 
-    QImage toImage() const; 
-    QImage toImage( const QSize &, 
+    QImage toImage() const;
+    QImage toImage( const QSize &,
         Qt::AspectRatioMode = Qt::IgnoreAspectRatio  ) const;
 
@@ -144,5 +144,5 @@
     void setDefaultSize( const QSizeF & );
     QSizeF defaultSize() const;
-    
+
     void setRenderHint( RenderHint, bool on = true );
     bool testRenderHint( RenderHint ) const;
